<?php
/**
 * Archive Layout
 *
 * @package Accurate News
 */

$wp_customize->add_section(
	'accurate_news_archive_layout',
	array(
		'title' => esc_html__( 'Archive Layout', 'accurate-news' ),
		'panel' => 'accurate_news_theme_options',
	)
);

// Archive Layout - Grid Style.
$wp_customize->add_setting(
	'accurate_news_archive_grid_style',
	array(
		'default'           => 'grid-column-3',
		'sanitize_callback' => 'accurate_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'accurate_news_archive_grid_style',
	array(
		'label'   => esc_html__( 'Grid Style', 'accurate-news' ),
		'section' => 'accurate_news_archive_layout',
		'type'    => 'select',
		'choices' => array(
			'grid-column-2' => __( 'Column 2', 'accurate-news' ),
			'grid-column-3' => __( 'Column 3', 'accurate-news' ),
		),
	)
);
